SystemOrganization addCategory: #DocGenerator!

Object subclass: #DocGeneratorClass
	instanceVariableNames: 'className'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DocGenerator'!

!DocGeneratorClass commentStamp: '<historical>' prior: 0!
A DocGenerator is used to produce documentation for a Class in HTMLformat It outputs Class info, comments, instance variables, and method descriptions.

Instance Variables
	className:		<Object>

className
	- xxxxx
!

!DocGeneratorClass methodsFor: 'accessing' stamp: 'AnkeshAnand 12/24/2013 01:15'!
className 
	^className ! !

!DocGeneratorClass methodsFor: 'accessing' stamp: 'AnkeshAnand 12/24/2013 01:19'!
className: aClass
	className := aClass.
	self outputHTML .! !

!DocGeneratorClass methodsFor: 'instance creation' stamp: 'AnkeshAnand 12/24/2013 22:47'!
new
	^super new initialize.! !

!DocGeneratorClass methodsFor: 'printing' stamp: 'AnkeshAnand 12/25/2013 00:59'!
outputHTML
	"Generates the documentation of the class in a file name doc.html"
	| stream |
stream := FileStream forceNewFileNamed: 'doc.html'.
stream
nextPutAll: '<h1>', className name,'</h1>';
nextPutAll: '<p>', className comment,'</p>';
nextPutAll: '<h2>Instance Variables</h2>';
nextPutAll: className instanceVariablesString asString;
nextPutAll: '<h2>Methods</h2>'.
className methodDict keysDo: [ :each | 
	|comment|.
	stream print: '<b>',each,'</b>'; nextPutAll:'<br>'.
	comment:= className firstPrecodeCommentFor: each asString .
	stream print: comment; nextPutAll: '<br><br>'.
	].
stream close.! !
